You are viewing the PKP Support Forum | PKP Home Wiki

How can I upgrade OJS 2.3.6 into 2.4

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

How can I upgrade OJS 2.3.6 into 2.4

Postby ubaiddev » Sun Jul 14, 2013 3:59 am

Dear All,

I am running ojs 2.3.6 on my website: www.synergypublishers.com. It was working fine but when my hosting provider changed its php script to 5.4 it starting some problem.
on this forum: viewtopic.php?f=8&t=6444#p24796. I found that I have to change my locale class to something else so I changed it to localex as mentioned. It works fine but when authors trying to submit an article there is no language selection in drop down and that option is required filed.
I searched for its validation and I removed it. But I still think there might me some more issues so thats why I want to upgrade my ojs 2.3.5 to 2.4.

I have replaced all folders and files to new ojs except: files and Public directories now when I go to my site on localhost it shows me installation page as I didn't upgrade its database. Can anyone please tell me did I do it on the right way? How can I upgrade my database? I don't want to loose its styling and other edits.

Please help.

Posts: 27
Joined: Mon Apr 08, 2013 1:35 am

Re: How can I upgrade OJS 2.3.6 into 2.4

Postby asmecher » Mon Jul 15, 2013 9:07 am

Hi ubaiddev,

See docs/UPGRADE.

Alec Smecher
Public Knowledge Project Team
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Return to OJS Technical Support

Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 1 guest